cURL
curl --request GET \
--url https://api.helohq.com/channels \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Channels;
var paginationResultOfChannelBasic = await helo.Channels.List(limit: 10, offset: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
limit: 10,
offset: 10,
name: "example",
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"],
delivery_type: "live"
}
Helo::Channels.list(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
pagination_result_of_channel_basic = client.channels.list(limit=10, offset=10)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ChannelsListParams{
Limit: 10,
Offset: 10,
Name: "example",
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
DeliveryType: "live",
}
result, err := client.Channels.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.channels.list({
limit: 10,
offset: 10,
name: "example",
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
deliveryType: "live",
});{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Channels
List all channels
Retrieves a list of all channels accessible to the current user.
GET
/
channels
cURL
curl --request GET \
--url https://api.helohq.com/channels \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk;
using HeloEmail.Sdk.Channels;
var paginationResultOfChannelBasic = await helo.Channels.List(limit: 10, offset: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
opts = {
limit: 10,
offset: 10,
name: "example",
channel_ids: ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"],
delivery_type: "live"
}
Helo::Channels.list(opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
pagination_result_of_channel_basic = client.channels.list(limit=10, offset=10)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.ChannelsListParams{
Limit: 10,
Offset: 10,
Name: "example",
ChannelIds: []string{"550e8400-e29b-41d4-a716-446655440000"},
DeliveryType: "live",
}
result, err := client.Channels.List(ctx, params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.channels.list({
limit: 10,
offset: 10,
name: "example",
channelIds: ["550e8400-e29b-41d4-a716-446655440000"],
deliveryType: "live",
});{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"deliveryType": "live",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"totalCount": 123
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of results to return. Defaults to 25.
Number of results to skip for pagination. Defaults to 0.
Filter channels by name (partial match).
Filter to a specific set of channel IDs.
Filter channels by delivery type.
Available options:
live, sandbox